<?php

require_once 'model/Facturacion.Model.php';
require_once 'model/Utils.Model.php';

class FacturacionController
{
    public $Facturacion_Model;
    public $Utils_Model;
           
    public function __CONSTRUCT()
    {
        $this->Facturacion_Model = new Facturacion();
        $this->Utils_Model = new Utils();
    }
    
    public function Index()
    {
      
       require_once 'views/facturacion_lista.php';  
     
    }
    
    public function datos()
    {
        // llamado cuando se esta modificando un registro en particular y/o se crea uno */
        // class="actionbutton-alter" data-href ="Facturacion-datos"
        //--------------------------------------------------------------

        
       
        $CurId = isset($_REQUEST['id']) ? $_REQUEST['id'] : ""; 

      
        if($CurId <> '')
            { 

               
                    foreach($this->Facturacion_Model->get_ot($CurId) as $dataOT)
                               
                    require_once 'views/facturacion_datos.php';  
                   
                

                }
        else
                {
                    print 'ER-No hay coincidencias...';
                }
      
    
    
    }
  
    
    public function new()
    {
       // Procedimiento para cuando es un nuevo registro de cabecera de factura, se envia -1 como id
       // para que el procedimiento almacenado SQLServer retorne una estructura
       // de datos vacia con un ID DE TRANSACCION
       //----------------------------------------------------------------------------
       
       $unique_id_trans    = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
       $tipo_dte     = isset($_REQUEST['tipo_dte']) ? $_REQUEST['tipo_dte'] : '01'; 
       $clienteid   = isset($_REQUEST['clientes_id']) ? $_REQUEST['clientes_id'] : ''; 
       
       if($unique_id_trans == -1)
       { 

                // Recuperando structUra vacia
                foreach($this->Facturacion_Model->get_ot($unique_id_trans,$tipo_dte,$clienteid) as $dataOT)

                // Recuperando articulos
                $dataItems = $this->Utils_Model->get_items();

                $_SESSION['nombrecom'] = $dataOT->nombrecom;




                require_once 'views/facturacion_datos.php';  
       }
     else
        {
            //invocando        
            $dataClient =$this->Utils_Model->get_clientes();

            require_once 'views/facturacion_new.php';  
        }
    
    }
  
    public function grabarot() 
    {
        //Graba la cabecera del documento de facturacion
        //llamado desde :facturacion_datos.php

        	$unique_id_trans = isset($_REQUEST['unique_id_trans']) ? $_REQUEST['unique_id_trans'] : '';  

            $salud_diabetes= isset($_REQUEST['salud_diabetes']) ? $_REQUEST['salud_diabetes'] : '';
            $salud_diabetes    = ($salud_diabetes =='on') ? '1':'0';
            $salud_hipertension= isset($_REQUEST['salud_hipertension']) ? $_REQUEST['salud_hipertension'] : '';
            $salud_hipertension   = ($salud_hipertension =='on') ? '1':'0';
            $salud_asma= isset($_REQUEST['salud_asma']) ? $_REQUEST['salud_asma'] : '';
            $salud_asma   = ($salud_asma =='on') ? '1':'0';
            $salud_cardiopatias= isset($_REQUEST['salud_cardiopatias']) ? $_REQUEST['salud_cardiopatias'] : '';
            $salud_cardiopatias   = ($salud_cardiopatias =='on') ? '1':'0';
			$salud_otros= isset($_REQUEST['salud_otros']) ? $_REQUEST['salud_otros'] : '';
            $salud_otros  = ($salud_otros =='on') ? '1':'0';



            $medicamentos_frecuentes= isset($_REQUEST['medicamentos_frecuentes']) ? $_REQUEST['medicamentos_frecuentes'] : '';
			
            $antecedefam_hipertension= isset($_REQUEST['antecedefam_hipertension']) ? $_REQUEST['antecedefam_hipertension'] : '';
            $antecedefam_hipertension   = ($antecedefam_hipertension =='on') ? '1':'0';

            $antecedefam_diabetes= isset($_REQUEST['antecedefam_diabetes']) ? $_REQUEST['antecedefam_diabetes'] : '';
            $antecedefam_diabetes  = ($antecedefam_diabetes =='on') ? '1':'0';
            
            $antecedefam_tiroide= isset($_REQUEST['antecedefam_tiroide']) ? $_REQUEST['antecedefam_tiroide'] : '';
            $antecedefam_tiroide   = ($antecedefam_tiroide =='on') ? '1':'0';
            
            $graduaant_ode= isset($_REQUEST['graduaant_ode']) ? $_REQUEST['graduaant_ode'] : '';
            $graduaant_ode_esfera= isset($_REQUEST['graduaant_ode_esfera']) ? $_REQUEST['graduaant_ode_esfera'] : '';
			$graduaant_ode_cilindro= isset($_REQUEST['graduaant_ode_cilindro']) ? $_REQUEST['graduaant_ode_cilindro'] : '';
            $graduaant_oder_eje= isset($_REQUEST['raduaant_oder_eje']) ? $_REQUEST['raduaant_oder_eje'] : '';
            $graduaant_oder_adicion= isset($_REQUEST['raduaant_oder_adicion']) ? $_REQUEST['raduaant_oder_adicion'] : '';
            $graduaant_oizq= isset($_REQUEST['raduaant_o']) ? $_REQUEST['raduaant_o'] : '';
            $graduaant_oizq_esfera= isset($_REQUEST['raduaant_oizq_esfera']) ? $_REQUEST['raduaant_oizq_esfera'] : '';
			$graduaant_oizq_cilindro= isset($_REQUEST['graduaant_oizq_cilindro']) ? $_REQUEST['graduaant_oizq_cilindro'] : '';
            $graduaant_oizq_eje= isset($_REQUEST['graduaant_oizq_eje']) ? $_REQUEST['graduaant_oizq_eje'] : '';
            $graduaant_oizq_adicion= isset($_REQUEST['graduaant_oizq_adicion']) ? $_REQUEST['graduaant_oizq_adicion'] : '';
            $graduaact_ode= isset($_REQUEST['graduaact_ode']) ? $_REQUEST['graduaact_ode'] : '';
            $graduaact_ode_esfera= isset($_REQUEST['graduaact_ode_esfera']) ? $_REQUEST['graduaact_ode_esfera'] : '';
			$graduaact_ode_cilindro= isset($_REQUEST['graduaact_ode_cilindro']) ? $_REQUEST['graduaact_ode_cilindro'] : '';
            $graduaact_oder_eje= isset($_REQUEST['graduaact_oder_eje']) ? $_REQUEST['graduaact_oder_eje'] : '';
            $graduaact_oder_adicion= isset($_REQUEST['graduaact_oder_adicion']) ? $_REQUEST['graduaact_oder_adicion'] : '';
            $graduaact_oizq= isset($_REQUEST['graduaact_oizq']) ? $_REQUEST['graduaact_oizq'] : '';
            $graduaact_oizq_esfera= isset($_REQUEST['graduaact_oizq_esfera']) ? $_REQUEST['graduaact_oizq_esfera'] : '';
			$graduaact_oizq_cilindro= isset($_REQUEST['graduaact_oizq_cilindro']) ? $_REQUEST['graduaact_oizq_cilindro'] : '';
            $graduaact_oizq_eje= isset($_REQUEST['graduaact_oizq_eje']) ? $_REQUEST['graduaact_oizq_eje'] : '';
            $graduaact_oizq_adicion= isset($_REQUEST['graduaact_oizq_adicion']) ? $_REQUEST['graduaact_oizq_adicion'] : '';
          
            $tipolente_bifocal= isset($_REQUEST['tipolente_bifocal']) ? $_REQUEST['tipolente_bifocal'] : '';
            $tipolente_bifocal  = ($tipolente_bifocal  =='on') ? '1':'0';

            $tipolente_unavision= isset($_REQUEST['tipolente_unavision']) ? $_REQUEST['tipolente_unavision'] : '';
			$tipolente_unavision  = ($tipolente_unavision  =='on') ? '1':'0';

            $tipolente_multifocal= isset($_REQUEST['tipolente_multifocal']) ? $_REQUEST['tipolente_multifocal'] : '';
            $tipolente_multifocal  = ($tipolente_multifocal  =='on') ? '1':'0';

            $tipolente_progresivo= isset($_REQUEST['tipolente_progresivo']) ? $_REQUEST['tipolente_progresivo'] : '';
            $tipolente_progresivo  = ($tipolente_progresivo  =='on') ? '1':'0';

            
            $material_vidrio= isset($_REQUEST['material_vidrio']) ? $_REQUEST['material_vidrio'] : '';
            $material_vidrio  = ($material_vidrio  =='on') ? '1':'0';
            $material_resina= isset($_REQUEST['material_resina']) ? $_REQUEST['material_resina'] : '';
            $material_resina = ($material_resina  =='on') ? '1':'0';
            $material_policarbon= isset($_REQUEST['material_policarbon']) ? $_REQUEST['material_policarbon'] : '';
			$material_policarbon  = ($material_policarbon =='on') ? '1':'0';
            $material_altoindice= isset($_REQUEST['material_altoindice']) ? $_REQUEST['material_altoindice'] : '';
            $material_altoindice  = ($material_altoindice  =='on') ? '1':'0';
            $material_thinder= isset($_REQUEST['material_thinder']) ? $_REQUEST['material_thinder'] : '';
            $material_thinder  = ($material_thinder =='on') ? '1':'0';
            $tratamiento_polarizado= isset($_REQUEST['tratamiento_polarizado']) ? $_REQUEST['tratamiento_polarizado'] : '';
            $tratamiento_polarizado  = ($tratamiento_polarizado =='on') ? '1':'0';
            $tratamiento_blanco= isset($_REQUEST['tratamiento_blanco']) ? $_REQUEST['tratamiento_blanco'] : '';
            $tratamiento_blanco  = ($tratamiento_blanco  =='on') ? '1':'0';
            $tratamiento_antr_azulverde= isset($_REQUEST['tratamiento_antr_azulverde']) ? $_REQUEST['tratamiento_antr_azulverde'] : '';
            $tratamiento_antr_azulverde = ($tratamiento_antr_azulverde  =='on') ? '1':'0';
            $tratamiento_fotocromatico= isset($_REQUEST['tratamiento_fotocromatico']) ? $_REQUEST['tratamiento_fotocromatico'] : '';
			$tratamiento_fotocromatico  = ($tratamiento_fotocromatico  =='on') ? '1':'0';
            $tratamiento_tinte= isset($_REQUEST['tratamiento_tinte']) ? $_REQUEST['tratamiento_tinte'] : '';
            $tratamiento_tinte  = ( $tratamiento_tinte =='on') ? '1':'0';
            $tratamiento_fotocromatico_antir_azulverde= isset($_REQUEST['tratamiento_fotocromatico_antir_azulverde']) ? $_REQUEST['tratamiento_fotocromatico_antir_azulverde'] : '';
            $tratamiento_fotocromatico_antir_azulverde  = ($tratamiento_fotocromatico_antir_azulverde =='on') ? '1':'0';
            $tratamiento_transitions= isset($_REQUEST['tratamiento_transitions']) ? $_REQUEST['tratamiento_transitions'] : '';
            $tratamiento_transitions  = ($tratamiento_transitions  =='on') ? '1':'0';
            $tratamiento_transitions_antir= isset($_REQUEST['tratamiento_transitions_antir']) ? $_REQUEST['tratamiento_transitions_antir'] : '';
			$tratamiento_transitions_antir  = ($tratamiento_transitions_antir  =='on') ? '1':'0';
            $tratamiento_color_transitions= isset($_REQUEST['tratamiento_color_transitions']) ? $_REQUEST['tratamiento_color_transitions'] : '';
            $tratamiento_color_transitions = ($tratamiento_color_transitions  =='on') ? '1':'0';
           
            $aro_marca= isset($_REQUEST['aro_marca']) ? $_REQUEST['aro_marca'] : '';
            $aro_color= isset($_REQUEST['aro_color']) ? $_REQUEST['aro_color'] : '';
            $aro_modelo= isset($_REQUEST['aro_modelo']) ? $_REQUEST['aro_modelo'] : '';
            $aro_tipo= isset($_REQUEST['aro_tipo']) ? $_REQUEST['aro_tipo'] : '';
            $aro_tamano= isset($_REQUEST['aro_tamano']) ? $_REQUEST['aro_tamano'] : '';
			$aro_valor= isset($_REQUEST['aro_valor']) ? $_REQUEST['aro_valor'] : '';
            $aro_cristales= isset($_REQUEST['aro_cristales']) ? $_REQUEST['aro_cristales'] : '';
            $clientes_id= isset($_REQUEST['clientes_id']) ? $_REQUEST['clientes_id'] : '';
            $tipo_dte= isset($_REQUEST['tipo_dte']) ? $_REQUEST['tipo_dte'] : '';
			$idcuenta= isset($_REQUEST['idcuenta']) ? $_REQUEST['idcuenta'] : '';
           
            $otracirugia= isset($_REQUEST['otracirugia']) ? $_REQUEST['otracirugia'] : '';
            $otroantecedente= isset($_REQUEST['otroantecedente']) ? $_REQUEST['otroantecedente'] : '';

            $cirugia_cataratas= isset($_REQUEST['cirugia_cataratas']) ? $_REQUEST['cirugia_cataratas'] : '';
            $cirugia_cataratas   = ($cirugia_cataratas =='on') ? '1':'0';

            $cirugia_glaucoma = isset($_REQUEST['cirugia_glaucoma']) ? $_REQUEST['cirugia_glaucoma'] : '';
            $cirugia_cataratas   = ($cirugia_cataratas =='on') ? '1':'0';

       

            foreach($this->Facturacion_Model->grabarot($unique_id_trans,$salud_diabetes,$salud_hipertension,$salud_asma,$salud_cardiopatias,$salud_otros,$medicamentos_frecuentes,$antecedefam_hipertension,$antecedefam_diabetes,$antecedefam_diabetes,$antecedefam_tiroide,$graduaant_ode,$graduaant_ode_esfera,$graduaant_ode_cilindro,$graduaant_oder_eje) as $p)
            {

            }


           
         
            $graduaant_oder_adicion= isset($_REQUEST['raduaant_oder_adicion']) ? $_REQUEST['raduaant_oder_adicion'] : '';
            $graduaant_oizq= isset($_REQUEST['raduaant_o']) ? $_REQUEST['raduaant_o'] : '';
            $graduaant_oizq_esfera= isset($_REQUEST['raduaant_oizq_esfera']) ? $_REQUEST['raduaant_oizq_esfera'] : '';
			$graduaant_oizq_cilindro= isset($_REQUEST['graduaant_oizq_cilindro']) ? $_REQUEST['graduaant_oizq_cilindro'] : '';
            $graduaant_oizq_eje= isset($_REQUEST['graduaant_oizq_eje']) ? $_REQUEST['graduaant_oizq_eje'] : '';
            $graduaant_oizq_adicion= isset($_REQUEST['graduaant_oizq_adicion']) ? $_REQUEST['graduaant_oizq_adicion'] : '';
            $graduaact_ode= isset($_REQUEST['graduaact_ode']) ? $_REQUEST['graduaact_ode'] : '';
            $graduaact_ode_esfera= isset($_REQUEST['graduaact_ode_esfera']) ? $_REQUEST['graduaact_ode_esfera'] : '';
			$graduaact_ode_cilindro= isset($_REQUEST['graduaact_ode_cilindro']) ? $_REQUEST['graduaact_ode_cilindro'] : '';
            $graduaact_oder_eje= isset($_REQUEST['graduaact_oder_eje']) ? $_REQUEST['graduaact_oder_eje'] : '';
            $graduaact_oder_adicion= isset($_REQUEST['graduaact_oder_adicion']) ? $_REQUEST['graduaact_oder_adicion'] : '';
            $graduaact_oizq= isset($_REQUEST['graduaact_oizq']) ? $_REQUEST['graduaact_oizq'] : '';
            $graduaact_oizq_esfera= isset($_REQUEST['graduaact_oizq_esfera']) ? $_REQUEST['graduaact_oizq_esfera'] : '';
			$graduaact_oizq_cilindro= isset($_REQUEST['graduaact_oizq_cilindro']) ? $_REQUEST['graduaact_oizq_cilindro'] : '';
            $graduaact_oizq_eje= isset($_REQUEST['graduaact_oizq_eje']) ? $_REQUEST['graduaact_oizq_eje'] : '';
            $graduaact_oizq_adicion= isset($_REQUEST['graduaact_oizq_adicion']) ? $_REQUEST['graduaact_oizq_adicion'] : '';
          
            $tipolente_bifocal= isset($_REQUEST['tipolente_bifocal']) ? $_REQUEST['tipolente_bifocal'] : '';
            $tipolente_bifocal  = ($tipolente_bifocal  =='on') ? '1':'0';

            $tipolente_unavision= isset($_REQUEST['tipolente_unavision']) ? $_REQUEST['tipolente_unavision'] : '';
			$tipolente_unavision  = ($tipolente_unavision  =='on') ? '1':'0';

            $tipolente_multifocal= isset($_REQUEST['tipolente_multifocal']) ? $_REQUEST['tipolente_multifocal'] : '';
            $tipolente_multifocal  = ($tipolente_multifocal  =='on') ? '1':'0';

            $tipolente_progresivo= isset($_REQUEST['tipolente_progresivo']) ? $_REQUEST['tipolente_progresivo'] : '';
            $tipolente_progresivo  = ($tipolente_progresivo  =='on') ? '1':'0';

            
            $material_vidrio= isset($_REQUEST['material_vidrio']) ? $_REQUEST['material_vidrio'] : '';
            $material_vidrio  = ($material_vidrio  =='on') ? '1':'0';
            $material_resina= isset($_REQUEST['material_resina']) ? $_REQUEST['material_resina'] : '';
            $material_resina = ($material_resina  =='on') ? '1':'0';
            $material_policarbon= isset($_REQUEST['material_policarbon']) ? $_REQUEST['material_policarbon'] : '';
			$material_policarbon  = ($material_policarbon =='on') ? '1':'0';
            $material_altoindice= isset($_REQUEST['material_altoindice']) ? $_REQUEST['material_altoindice'] : '';
            $material_altoindice  = ($material_altoindice  =='on') ? '1':'0';
            $material_thinder= isset($_REQUEST['material_thinder']) ? $_REQUEST['material_thinder'] : '';
            $material_thinder  = ($material_thinder =='on') ? '1':'0';
            $tratamiento_polarizado= isset($_REQUEST['tratamiento_polarizado']) ? $_REQUEST['tratamiento_polarizado'] : '';
            $tratamiento_polarizado  = ($tratamiento_polarizado =='on') ? '1':'0';
            $tratamiento_blanco= isset($_REQUEST['tratamiento_blanco']) ? $_REQUEST['tratamiento_blanco'] : '';
            $tratamiento_blanco  = ($tratamiento_blanco  =='on') ? '1':'0';
            $tratamiento_antr_azulverde= isset($_REQUEST['tratamiento_antr_azulverde']) ? $_REQUEST['tratamiento_antr_azulverde'] : '';
            $tratamiento_antr_azulverde = ($tratamiento_antr_azulverde  =='on') ? '1':'0';
            $tratamiento_fotocromatico= isset($_REQUEST['tratamiento_fotocromatico']) ? $_REQUEST['tratamiento_fotocromatico'] : '';
			$tratamiento_fotocromatico  = ($tratamiento_fotocromatico  =='on') ? '1':'0';
            $tratamiento_tinte= isset($_REQUEST['tratamiento_tinte']) ? $_REQUEST['tratamiento_tinte'] : '';
            $tratamiento_tinte  = ( $tratamiento_tinte =='on') ? '1':'0';
            $tratamiento_fotocromatico_antir_azulverde= isset($_REQUEST['tratamiento_fotocromatico_antir_azulverde']) ? $_REQUEST['tratamiento_fotocromatico_antir_azulverde'] : '';
            $tratamiento_fotocromatico_antir_azulverde  = ($tratamiento_fotocromatico_antir_azulverde =='on') ? '1':'0';
            $tratamiento_transitions= isset($_REQUEST['tratamiento_transitions']) ? $_REQUEST['tratamiento_transitions'] : '';
            $tratamiento_transitions  = ($tratamiento_transitions  =='on') ? '1':'0';
            $tratamiento_transitions_antir= isset($_REQUEST['tratamiento_transitions_antir']) ? $_REQUEST['tratamiento_transitions_antir'] : '';
			$tratamiento_transitions_antir  = ($tratamiento_transitions_antir  =='on') ? '1':'0';
            $tratamiento_color_transitions= isset($_REQUEST['tratamiento_color_transitions']) ? $_REQUEST['tratamiento_color_transitions'] : '';
            $tratamiento_color_transitions = ($tratamiento_color_transitions  =='on') ? '1':'0';
           
            $aro_marca= isset($_REQUEST['aro_marca']) ? $_REQUEST['aro_marca'] : '';
            $aro_color= isset($_REQUEST['aro_color']) ? $_REQUEST['aro_color'] : '';
            $aro_modelo= isset($_REQUEST['aro_modelo']) ? $_REQUEST['aro_modelo'] : '';
            $aro_tipo= isset($_REQUEST['aro_tipo']) ? $_REQUEST['aro_tipo'] : '';
            $aro_tamano= isset($_REQUEST['aro_tamano']) ? $_REQUEST['aro_tamano'] : '';
			$aro_valor= isset($_REQUEST['aro_valor']) ? $_REQUEST['aro_valor'] : '';
            $aro_cristales= isset($_REQUEST['aro_cristales']) ? $_REQUEST['aro_cristales'] : '';
            $clientes_id= isset($_REQUEST['clientes_id']) ? $_REQUEST['clientes_id'] : '';
            $tipo_dte= isset($_REQUEST['tipo_dte']) ? $_REQUEST['tipo_dte'] : '';
			$idcuenta= isset($_REQUEST['idcuenta']) ? $_REQUEST['idcuenta'] : '';
           
            $otracirugia= isset($_REQUEST['otracirugia']) ? $_REQUEST['otracirugia'] : '';
            $otroantecedente= isset($_REQUEST['otroantecedente']) ? $_REQUEST['otroantecedente'] : '';

            $cirugia_cataratas= isset($_REQUEST['cirugia_cataratas']) ? $_REQUEST['cirugia_cataratas'] : '';
            $cirugia_cataratas   = ($cirugia_cataratas =='on') ? '1':'0';

            $cirugia_glaucoma = isset($_REQUEST['cirugia_glaucoma']) ? $_REQUEST['cirugia_glaucoma'] : '';
            $cirugia_cataratas   = ($cirugia_cataratas =='on') ? '1':'0';





    }
       
    
    public function grabar()
    {
        // procedimiento para grabar los cambios en un articulo
        //------------------------------------------------------------------

         
        $iditem     = isset($_REQUEST['iditem']) ? $_REQUEST['iditem'] : ''; 
        $id         = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
        $itemnombre = isset($_REQUEST['itemnombre']) ? $_REQUEST['itemnombre']: ''; 
        $marca      = isset($_REQUEST['marca']) ? $_REQUEST['marca']: ''; 
        $modelo     = isset($_REQUEST['modelo']) ? $_REQUEST['modelo']: ''; 
        $preven1    = isset($_REQUEST['preven1']) ? $_REQUEST['preven1']: '0'; 
        
        $idequival  = isset($_REQUEST['idequival']) ? $_REQUEST['idequival']: ''; 

        $itemclase  = isset($_REQUEST['clase']) ? $_REQUEST['clase']: '1'; 

        $activo     =  isset($_REQUEST['activo']) ? $_REQUEST['activo'] : '0';
        $activo     = ($activo =='on') ? '1':'0';

        $venta     =  isset($_REQUEST['venta']) ? $_REQUEST['venta'] : '0';
        $venta     = ($venta =='on') ? '1':'0';


       
           
         foreach($this->Facturacion_Model->grabar($iditem,$id,$itemnombre,$marca,$modelo,$preven1,$idequival,$activo,$venta,$itemclase) as $p)
          {
                        
                print $p->error_msg;
                   
          
          }


    }
  
      public function invalidar()
    {

        $id = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
        
      

         foreach($this->Facturacion_Model->eliminar($id) as $p)
          {
                 
                if(substr($p->error_msg,0,2) =='OK')
                {
                    echo "OK-Registro se ha eliminado exitosamente";
                }
                else
                {
                    echo $p->error_msg;
                }
                
           
                
            }
            

         }


    public function cta_refresh($unique_id_trans ='',$ctaid=0,$nTipoCta=1)
    {
             // Recuperando la data
            //-------------------------------

          
            $p = null;

            if($unique_id_trans <> '')
            {

                $nCurRow =0;

              
                foreach($this->Facturacion_Model->reload_cta($ctaid,$nTipoCta,$unique_id_trans) as $p)
                    {

                           
                        if($nCurRow ==0)
                        {
                           
                                //lo manejo en este bloque porque ctaid se sabe cuando 
                                //es llamado desde consulta de documento
                                // hasta que la cuenta es cargada
                                //-------------------------------------------

                                
                            

                                print '<table class="table table-striped  table-hover">
					                    <thead>
					                            <tr>
					                                    <th>Articulo</th>
														<th>Descripción</th>
														<th>Cantidad</th>
					                                    <th>Precio unitario</th>
					                                    <th>Total</th>
                                                        <th>...</th>
                                                        <th>...</th>
														
					                            </tr>
					                    </thead>
                                        <tbody>';

                        }
                       
                        print '
					    <tr>
					        <td>'.$p->IDITEM.'</td>
						    <td>'.$p->itemnombre.'</td>
							<td>'.$p->CANTIDAD.'</td>
					        <td>'.number_format($p->punit,2).'</td>
					        <td>'.number_format($p->pretot,2).'</td>
                            <td><i class="zmdi zmdi-open-in-new zmdi-hc-2x actionbutton-alter" data-href="Facturacion-alter" title="Modificar registro" id ="'.$p->IDEM.'"></i></td>
                            <td><i class="zmdi zmdi-delete zmdi-hc-2x actionbutton-trash" data-href="Facturacion-trash" title="Eliminar" id ="'.$p->IDEM.'"></i></td>
						</tr>
                        ';
					    
                        $nCurRow++;


                    }


                    if($nCurRow ==0)
                    {
                        //no hay registros que cargar
                        print '
                                <div class="col-6">
                                        <input type="text" readonly name="globalid" id="globalid" value="'.$unique_id_trans.'"  class="form-control registro-id">
                                </div>
                                
                                <div class="col-6">
                                        <input type="text" readonly name="ctaid" id="ctaid" value="'.$ctaid.'"  class="form-control registro-id">
                                </div>';
                                
                          print '<table class="table table-striped  table-hover">
					                    <thead>
					                            <tr>
					                                    <th>Articulo</th>
														<th>Descripción</th>
														<th>Cantidad</th>
					                                    <th>Precio unitario</th>
					                                    <th>Total</th>
                                                        <th>...</th>
                                                        <th>...</th>
														
					                            </tr>
					                    </thead>
                                        <tbody>';
                    }

                    print '</tbody></table>';

            }

    }


     public function add()
    {
          
            // insertando un articulo a la cuenta de venta
            //----------------------------------------------------

            $id  = isset($_REQUEST['globalid']) ? $_REQUEST['globalid'] : '';


                    
            if(strtoupper($id) =="UNDEFINED")
            {
                $id ="";
            } 


            $nTipoCta   ="1";
            $ctaid ='0';

            $itemsid    = isset($_REQUEST['itemid']) ? $_REQUEST['itemid'] : '';
            $cantidad   = isset($_REQUEST['cantidad']) ? $_REQUEST['cantidad'] : '1';
            $last_identity =0;
            $unique_id_trans ="";

            // Procesando la insercion
            //--------------------------------

         
            foreach($this->Facturacion_Model->items_add($ctaid,$id,$itemsid,$cantidad) as $p)
            {
                $last_identity      = $p->last_identity;
                $unique_id_trans    = $p->unique_id_trans;

            }
       
       
            

           $this->cta_refresh($unique_id_trans);

    }
  

      public function ticket()
    {
       // Procedimiento para cuando es un nuevo registro de cabecera de factura, se envia -1 como id
       // para que el procedimiento almacenado SQLServer retorne una estructura
       // de datos vacia con un ID DE TRANSACCION
       //----------------------------------------------------------------------------
       
       $unique_id_trans    = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
       $tipo_dte     = isset($_REQUEST['tipo_dte']) ? $_REQUEST['tipo_dte'] : '01'; 
       $clienteid   = isset($_REQUEST['clientes_id']) ? $_REQUEST['clientes_id'] : ''; 
       
      
            require_once 'views/ticket.php';  
      
    }
  


}